POST
/docs/{docId}/attachments/removeUnusedRemove unused document attachments
Removes retained attachments that are no longer used in a document, reducing the storage they consume. Set expiredOnly to limit removal to attachments that have been unused for the period configured by the Grist instance host.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
docIdstringrequired
The UUID of the document whose unused attachments to remove.
expiredOnlybooleanoptional
Whether to remove only attachments that have been unused for the period configured by the Grist instance host.
200Returns confirmation that the unused attachments were removed.
Error handling
The docId path parameter must be a UUID identifying a document. expiredOnly, when provided, must be a boolean.
